program contactsTxt;

uses sysutils,personne,contacts;

procedure afficherPersonne(p : TPersonne);
begin
   writeln('Nom : ',obtenirNom(p));
   writeln('Prenom : ',obtenirPrenom(p));
   writeln('Telephone : ',obtenirNumeroTelephone(p));
end;

procedure afficherContacts(nomFichier : String);
begin
   parcourirContacts(nomFichier,@afficherPersonne)
end;

function comparerNom(p1,p2 : TPersonne) : Integer;
begin
   comparerNom := AnsiCompareStr(obtenirNom(p1),obtenirNom(p2))
end;

procedure afficherContact(nomFichier : String; nomPersonne : String);
var
   p : TPersonne;
begin
   p := Personne.personne(nomPersonne,'','');
   parcourirContactsAvecComparaison(nomFichier,@afficherPersonne,@comparerNom,p)
end;

procedure afficherAide();
begin
   writeln('contacts nom_fichier : permet d''''afficher l''''ensemble des contacts');
   writeln('contacts nom_fichier nom : permet d''''afficher un contact');
   writeln('contacts nom_fichier nom prenom : permet de supprimer un contact');    
   writeln('contacts nom_fichier nom prenom telephone : permet d''''ajouter un contact')
end;

begin
   case ParamCount of
      1 : afficherContacts(ParamStr(1));
      2 : afficherContact(ParamStr(1),ParamStr(2));
      3 : supprimerContact(ParamStr(1),ParamStr(2),ParamStr(3));
      4 : ajouterContact(ParamStr(1),
                         Personne.personne(ParamStr(2),
                                           ParamStr(3),
                                           ParamStr(4))
                        );
      otherwise afficherAide()      
   end
end.
   